Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.configuration
Class EngineConfigurationFactoryDefault

    java.lang.Object
      org.apache.axis.configuration.EngineConfigurationFactoryDefault

All Implemented Interfaces:
  EngineConfigurationFactory

Direct Known Subclasses:
  EngineConfigurationFactoryServlet

public class EngineConfigurationFactoryDefault
extends Object
implements EngineConfigurationFactory

This is a default implementation of EngineConfigurationFactory. It is user-overrideable by a system property without affecting the caller. If you decide to override it, use delegation if you want to inherit the behaviour of this class as using class extension will result in tight loops. That is, your class should implement EngineConfigurationFactory and keep an instance of this class in a member field and delegate methods to that instance when the default behaviour is required.

Author:
  Richard A. Sitze, Glyn Normington (glyn@apache.org)

Field Summary
`protected static String` | `CLIENT_CONFIG_FILE`
`static String` | `OPTION_CLIENT_CONFIG_FILE`
`static String` | `OPTION_SERVER_CONFIG_FILE`
`protected static String` | `SERVER_CONFIG_FILE`

Fields inherited from interface org.apache.axis.EngineConfigurationFactory
`SYSTEM_PROPERTY_NAME`

Constructor Summary
`protected` | `EngineConfigurationFactoryDefault()` Create the default engine configuration and detect whether the user has overridden this with their own.

Method Summary
`EngineConfiguration` | `getClientEngineConfig()` Get a default client engine configuration.
`EngineConfiguration` | `getServerEngineConfig()` Get a default server engine configuration.
`static EngineConfigurationFactory` | `newFactory(Object param)` Creates and returns a new EngineConfigurationFactory.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OPTION_CLIENT_CONFIG_FILE

    public static final String OPTION_CLIENT_CONFIG_FILE

See Also:
  Constant Field Values

### OPTION_SERVER_CONFIG_FILE

    public static final String OPTION_SERVER_CONFIG_FILE

See Also:
  Constant Field Values

### CLIENT_CONFIG_FILE

    protected static final String CLIENT_CONFIG_FILE

See Also:
  Constant Field Values

### SERVER_CONFIG_FILE

    protected static final String SERVER_CONFIG_FILE

See Also:
  Constant Field Values

Constructor Detail

### EngineConfigurationFactoryDefault

    protected EngineConfigurationFactoryDefault()

  Create the default engine configuration and detect whether the user has overridden this with their own.

Method Detail

### newFactory

    public static EngineConfigurationFactory newFactory(Object param)

  Creates and returns a new EngineConfigurationFactory. If a factory cannot be created, return 'null'.

  The factory may return non-NULL only if: - it knows what to do with the param (param == null) - it can find it's configuration information

  See Also:
    `EngineConfigurationFactoryFinder`

### getClientEngineConfig

    public EngineConfiguration getClientEngineConfig()

  Get a default client engine configuration.

  Specified by:
    `getClientEngineConfig` in interface `EngineConfigurationFactory`
  Returns:
    a client EngineConfiguration

### getServerEngineConfig

    public EngineConfiguration getServerEngineConfig()

  Get a default server engine configuration.

  Specified by:
    `getServerEngineConfig` in interface `EngineConfigurationFactory`
  Returns:
    a server EngineConfiguration

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.